GNU bug report logs - #16367
Need to be able to resize partition without touching underlying filesystem for XFS

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: parted; Reported by: Aaron Williams <aaronw@HIDDEN>; dated Mon, 6 Jan 2014 00:54:02 UTC; Maintainer for parted is bug-parted@HIDDEN.

Message received at 16367 <at> debbugs.gnu.org:


Received: (at 16367) by debbugs.gnu.org; 9 Jan 2014 17:53:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 12:53:27 2014
Received: from localhost ([127.0.0.1]:44173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W1JnL-0004fs-2S
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2014 12:53:27 -0500
Received: from cdptpa-omtalb.mail.rr.com ([75.180.132.120]:49233)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <psusi@HIDDEN>) id 1W1JnH-0004fZ-84
 for 16367 <at> debbugs.gnu.org; Thu, 09 Jan 2014 12:53:23 -0500
X-Authority-Analysis: v=2.0 cv=dq5Z+ic4 c=1 sm=0 a=/DbS/tiKggfTkRRHPZEB4g==:17
 a=oVFiZj9fevMA:10 a=RQQZTjpaW3sA:10 a=S1A5HrydsesA:10 a=Qsx_du5GiBkA:10
 a=8nJEP1OIZ-IA:10 a=fxJcL_dCAAAA:8 a=KGjhK52YXX0A:10 a=VRuzb1ahKBUA:10
 a=QfKxxUxMAAAA:8 a=j6L1oNOEWR2wUQwQXfIA:9 a=wPNLvfGTeEIA:10
 a=/DbS/tiKggfTkRRHPZEB4g==:117
X-Cloudmark-Score: 0
X-Authenticated-User: 
X-Originating-IP: 67.78.168.186
Received: from [67.78.168.186] ([67.78.168.186:50180] helo=[10.1.1.236])
 by cdptpa-oedge03.mail.rr.com (envelope-from <psusi@HIDDEN>)
 (ecelerity 2.2.3.46 r()) with ESMTP
 id 28/0C-21884-212EEC25; Thu, 09 Jan 2014 17:53:22 +0000
Message-ID: <52CEE210.3010206@HIDDEN>
Date: Thu, 09 Jan 2014 12:53:20 -0500
From: Phillip Susi <psusi@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1;
 rv:24.0) Gecko/20100101 Thunderbird/24.2.0
MIME-Version: 1.0
To: Aaron Williams <aaronw@HIDDEN>, 16367 <at> debbugs.gnu.org
Subject: Re: bug#16367: Need to be able to resize partition without touching
 underlying filesystem for XFS
References: <52C9FCE4.4050601@HIDDEN>
In-Reply-To: <52C9FCE4.4050601@HIDDEN>
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16367
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 1/5/2014 7:46 PM, Aaron Williams wrote:
> One big problem I have with parted is that the only way I can grow
> my 3TB XFS partition is to delete the existing partition and create
> a new one with the same starting location.  My XFS partition is
> sitting on a logical volume of my RAID controller and when I run
> low on space I just grow that particular volume.
> 
> After recreating the partition I can just use the XFS tools to grow
> the XFS partition.

I have patches to add a resizepart command for this.  They are applied
to the debian parted package, but are still waiting review to be
applied upstream.  I should probably repost them here soon.


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (MingW32)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBAgAGBQJSzuIQAAoJEI5FoCIzSKrwN1cH/2c1acVZVWRJaE3CvwTHH/zf
1eOi0WpR2hyiVOujInLyF3nRyBkNJY8pjK4UdM4bjeB1J+Vqh/JffkrCS5AKZrgj
LKU02LvpCodeVa/ko2xJlPMYWKIuo6xWuUuXgkQsv+A74oMgsekIh/yrYCWSY/es
UwJd7qy5XSq3IgbRQn54qbfp4FYHlLCd/j+jTGBTXKZ/YLcrzlj/cjtStpFHyzAm
pY30O4ZwNC0pl59xU95HNWT0NSEPO3ZPyMG+50DECZLOevOr/aa5L3GAdazMlOKP
GR1SJGb/h21Tv/E9abqgcNu+jUMzJqaQYJyjkNfb1yYxCz6HXafXPAcN+FhCtoo=
=IMtG
-----END PGP SIGNATURE-----




Information forwarded to bug-parted@HIDDEN:
bug#16367; Package parted. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Jan 2014 00:53:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 05 19:53:32 2014
Received: from localhost ([127.0.0.1]:37376 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VzyRg-00084e-6O
	for submit <at> debbugs.gnu.org; Sun, 05 Jan 2014 19:53:32 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60256)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <aaronw@HIDDEN>) id 1VzyLF-0007tA-8f
 for submit <at> debbugs.gnu.org; Sun, 05 Jan 2014 19:46:54 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aaronw@HIDDEN>) id 1VzyL6-0001Wu-Pi
 for submit <at> debbugs.gnu.org; Sun, 05 Jan 2014 19:46:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60093)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aaronw@HIDDEN>) id 1VzyL6-0001Wq-ME
 for submit <at> debbugs.gnu.org; Sun, 05 Jan 2014 19:46:44 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33690)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aaronw@HIDDEN>) id 1VzyL0-0004je-EX
 for bug-parted@HIDDEN; Sun, 05 Jan 2014 19:46:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <aaronw@HIDDEN>) id 1VzyKu-0001BI-48
 for bug-parted@HIDDEN; Sun, 05 Jan 2014 19:46:38 -0500
Received: from aaronw.com ([173.8.172.90]:54694 helo=roger.doofus.org)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <aaronw@HIDDEN>) id 1VzyKt-0001Ak-UN
 for bug-parted@HIDDEN; Sun, 05 Jan 2014 19:46:32 -0500
Received: from [192.168.0.16] (unknown [192.168.0.16])
 by roger.doofus.org (Postfix) with ESMTPA id 1162E2D2
 for <bug-parted@HIDDEN>; Sun,  5 Jan 2014 16:46:29 -0800 (PST)
Message-ID: <52C9FCE4.4050601@HIDDEN>
Date: Sun, 05 Jan 2014 16:46:28 -0800
From: Aaron Williams <aaronw@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.2.0
MIME-Version: 1.0
To: bug-parted@HIDDEN
Subject: Need to be able to resize partition without touching underlying
 filesystem for XFS
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 05 Jan 2014 19:53:29 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

One big problem I have with parted is that the only way I can grow my
3TB XFS partition is to delete the existing partition and create a new
one with the same starting location.  My XFS partition is sitting on a
logical volume of my RAID controller and when I run low on space I just
grow that particular volume.

After recreating the partition I can just use the XFS tools to grow the
XFS partition.

-Aaron




Acknowledgement sent to Aaron Williams <aaronw@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-parted@HIDDEN. Full text available.
Report forwarded to bug-parted@HIDDEN:
bug#16367; Package parted. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.